{% extends "base.html.twig" %}

{% block content_title %}
    {{ 'criteria.page.title'|trans }}
{% endblock %}

{% block styles %}
    <meta name="turbo-cache-control" content="no-cache">
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
{% endblock %}

{% block scripts %}
    <script src="https://code.jquery.com/jquery-3.7.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
{% endblock %}


{% block content %}
    <div {{ stimulus_controller('criteria-form') }}>
        {{ form_start(form, {'attr': {'id': 'criteria-form'}}) }}
        <div class="row g-4 settings-section">
            <div class="col-12 col-md-4">
                <h3 class="section-title">{{ 'address'|trans }}</h3>
            </div>
            <div class="col-12 col-md-8">
                <div class="app-card app-card-settings shadow-sm p-4">
                    <div class="app-card-body">
                        <div class="settings-form">
                            <div class="mb-3">
                                {{ form_row(form.location) }}
                                {{ form_row(form.address) }}
                            </div>
                            <div class="mb-3" id="dropdown">
                                {{ form_row(form.price) }}
                            </div>
                        </div>
                    </div><!--//app-card-body-->
                </div><!--//app-card-->
            </div>
        </div>
        <hr class="mb-4">
        <div class="row g-4 settings-section">
            <div class="col-12 col-md-4">
                <h3 class="section-title">{{ 'housing.type'|trans }}</h3>
            </div>
            <div class="col-12 col-md-8">
                <div class="app-card app-card-settings shadow-sm p-4">
                    <div class="app-card-body">
                        <div class="settings-form">
                            {% for i in form.type %}
                                <div class="form-check mb-3">
                                    {{ form_row(i) }}
                                </div>
                            {% endfor %}
                        </div>
                    </div><!--//app-card-body-->
                </div><!--//app-card-->
            </div>
        </div>
        <div class="mt-3">
            <div class="row g-4 settings-section">
                <div class="col-12 col-md-4">
                </div>
                <div class="col-12 col-md-8">
                    <button id="submit-btn" type="submit" class="btn app-btn-primary">Enregistrer</button>
                </div>
            </div>
        </div>
        {{ form_end(form) }}
    </div>
    <hr class="my-4">
    <div class="row g-4 settings-section">
        <div class="col-12 col-md-4">
            <h3 class="section-title">{{ "notification"|trans }}</h3>
        </div>
        <div class="col-12 col-md-8">
            {% include '_partials/_notification-form.html.twig' %}<!--//app-card-->
        </div>
    </div>
{% endblock %}
